Package org.apache.tools.ant.taskdefs.cvslib

# Class CvsTagDiff

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.Task
org.apache.tools.ant.taskdefs.AbstractCvsTask
org.apache.tools.ant.taskdefs.cvslib.CvsTagDiff

All Implemented Interfaces:
  `java.lang.Cloneable`

    public class CvsTagDiff
    extends AbstractCvsTask

Examines the output of cvs rdiff between two tags. It produces an XML output representing the list of changes.

     <!-- Root element -->
     <!ELEMENT tagdiff (entry+) >
     <!-- Start tag of the report -->
     <!ATTLIST tagdiff startTag NMTOKEN #IMPLIED >
     <!-- End tag of the report -->
     <!ATTLIST tagdiff endTag NMTOKEN #IMPLIED >
     <!-- Start date of the report -->
     <!ATTLIST tagdiff startDate NMTOKEN #IMPLIED >
     <!-- End date of the report -->
     <!ATTLIST tagdiff endDate NMTOKEN #IMPLIED >

     <!-- CVS tag entry -->
     <!ELEMENT entry (file) >
     <!-- File added, changed or removed -->
     <!ELEMENT file (name, revision?, prevrevision?) >
     <!-- Name of the file -->
     <!ELEMENT name (#PCDATA) >
     <!-- Revision number -->
     <!ELEMENT revision (#PCDATA) >
     <!-- Previous revision number -->
     <!ELEMENT prevrevision (#PCDATA) >

Since:
  Ant 1.5

## Nested Class Summary

## Nested classes/interfaces inherited from class org.apache.tools.ant.taskdefs.AbstractCvsTask

`AbstractCvsTask.Module`

## Field Summary

### Fields inherited from class org.apache.tools.ant.taskdefs.AbstractCvsTask

`DEFAULT_COMPRESSION_LEVEL`

### Fields inherited from class org.apache.tools.ant.Task

`target, taskName, taskType, wrapper`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`CvsTagDiff()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`void` | `execute()` | Execute task.
`void` | `setDestFile​(java.io.File f)` | Set the output file for the diff.
`void` | `setEndDate​(java.lang.String s)` | Set the end date.
`void` | `setEndTag​(java.lang.String s)` | Set the end tag.
`void` | `setIgnoreRemoved​(boolean b)` | Set the ignore removed indicator.
`void` | `setPackage​(java.lang.String p)` | The package/module to analyze.
`void` | `setStartDate​(java.lang.String s)` | Set the start date.
`void` | `setStartTag​(java.lang.String s)` | Set the start tag.

### Methods inherited from class org.apache.tools.ant.taskdefs.AbstractCvsTask

`addCommandArgument, addCommandArgument, addConfiguredCommandline, addConfiguredCommandline, addModule, configureCommandline, getCommand, getCvsRoot, getCvsRsh, getDest, getErrorStream, getExecuteStreamHandler, getModules, getOutputStream, getPackage, getPassFile, getPort, getTag, removeCommandline, runCommand, setAppend, setCommand, setCompression, setCompressionLevel, setCvsRoot, setCvsRsh, setDate, setDest, setError, setErrorStream, setExecuteStreamHandler, setFailOnError, setNoexec, setOutput, setOutputStream, setPassfile, setPort, setQuiet, setReallyquiet, setTag`

### Methods inherited from class org.apache.tools.ant.Task

`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CvsTagDiff

public CvsTagDiff()

## Method Details

### setPackage

public void setPackage​(java.lang.String p)
The package/module to analyze.

Overrides:
  `setPackage` in class `AbstractCvsTask`
Parameters:
  `p` - the name of the package to analyse

### setStartTag

public void setStartTag​(java.lang.String s)
Set the start tag.

Parameters:
  `s` - the start tag.

### setStartDate

public void setStartDate​(java.lang.String s)
Set the start date.

Parameters:
  `s` - the start date.

### setEndTag

public void setEndTag​(java.lang.String s)
Set the end tag.

Parameters:
  `s` - the end tag.

### setEndDate

public void setEndDate​(java.lang.String s)
Set the end date.

Parameters:
  `s` - the end date.

### setDestFile

public void setDestFile​(java.io.File f)
Set the output file for the diff.

Parameters:
  `f` - the output file for the diff.

### setIgnoreRemoved

public void setIgnoreRemoved​(boolean b)
Set the ignore removed indicator.

Parameters:
  `b` - the ignore removed indicator.
Since:
  Ant 1.8.0

### execute

public void execute() throws BuildException
Execute task.

Overrides:
  `execute` in class `AbstractCvsTask`
Throws:
  `BuildException` - if an error occurs